package com.biganto.visual.roompark.data.repository.db.requrey.utils;

import com.biganto.visual.roompark.data.repository.db.requrey.TitledPhoto;

import java.util.ArrayList;
import java.util.List;

import io.requery.Converter;
import timber.log.Timber;

/**
 * Created by Vladislav Bogdashkin on 04.07.2018.
 */


public class TitledPhotoListConverter implements Converter<List<TitledPhoto>, String> {

    @SuppressWarnings("unchecked")
    @Override
    public Class<List<TitledPhoto>> getMappedType() {
        return (Class) List.class;
    }

    @Override
    public Class<String> getPersistedType() {
        return String.class;
    }

    @Override
    public Integer getPersistedSize() {
        return null;
    }

    @Override
    public String convertToPersisted(List<TitledPhoto> value) {
        return value == null ? null : null; //Json.Companion.stringify(TitledPhoto(),value)
    }

    @Override
    public List<TitledPhoto> convertToMapped(Class<? extends List<TitledPhoto>> type,
                                String value) {

        try {
            return value == null ? null : null;//new TitledPhoto(value);
        }
        catch (Exception e){
            Timber.e("Wrong stored data format! {%s}",value);
            return new ArrayList<TitledPhoto>(1);//TitledPhoto("",""));
        }

    }
}