package com.biganto.visual.roompark.presentation.screen.auth

import com.biganto.visual.roompark.conductor.BigantoBaseViewState

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class AuthScreenViewState : BigantoBaseViewState() {
    class Idle : AuthScreenViewState()
    class Authorization : AuthScreenViewState()
    class SignedIn : AuthScreenViewState()
    class SignInError(val message:String) : AuthScreenViewState()
}